- job:
    name: ldcg-python-manylinux-tensorflow
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 7
            num-to-keep: 7
    parameters:
        - bool:
            name: useclang
            default: false
            description: 'Use clang to build instead of gcc'
        - bool:
            name: buildgit
            default: false
            description: 'Build git HEAD'
        - bool:
            name: buildonednn
            default: false
            description: 'Build with oneDNN/ACL'
        - bool:
            name: buildonednnopt
            default: false
            description: 'Set TF_ENABLE_ONEDNN_OPT=1'
        - bool:
            name: prebuild
            default: false
            description: 'Pre-build a release before it is tagged using commit hash'
        - string:
            name: prebuild_hash
            default: ''
            description: 'Commit hash to be used for pre-build of release'
        - bool:
            name: build217
            default: false
            description: 'Build 2.17.x version'
        - bool:
            name: build216
            default: false
            description: 'Build 2.16.x version'
        - bool:
            name: build215
            default: false
            description: 'Build 2.15.x version'
    disabled: true
    node: ldcg-aarch64-02
    concurrent: false
    display-name: 'DELETE ME'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: ldcg-python-manylinux-tensorflow/build.sh
        - shell:
            !include-raw: ldcg-python-manylinux-tensorflow/publishers.sh
    publishers:
        - email:
            recipients: 'marcin.juszkiewicz@linaro.org andrew.goodbody@linaro.org'
